Bug 312766 - digiKam uses lens crop factor, not camera's [patch]
Summary: digiKam uses lens crop factor, not camera's [patch]
Status: CLOSED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-LensCorrection (show other bugs)
Version: 2.6.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-06 17:39 UTC by Roman I Khimov
Modified: 2016-07-01 09:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments
Patch to fix the problem (2.77 KB, patch)
2013-01-06 17:40 UTC, Roman I Khimov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman I Khimov 2013-01-06 17:39:53 UTC
Subj. Patch will follow with a bit more details.

Reproducible: Always
Comment 1 Roman I Khimov 2013-01-06 17:40:15 UTC
Created attachment 76256 [details]
Patch to fix the problem
Comment 2 caulier.gilles 2013-01-07 10:37:38 UTC
Git commit 613d004121682d122e9ea7fd9041a7bbc49acb89 by Gilles Caulier.
Committed on 07/01/2013 at 11:34.
Pushed by cgilles into branch 'master'.

Apply patch #76256 from Roman I Khimov to use crop factor from camera, not from lens data.
Lens crop factor in DB only tells us which crop factor was used for lens
calibration data, but it has nothing to do with shots made on random user's
camera. So the default behaviour should be to use camera's crop factor and only
fallback to lens data if there in no data present for camera. As "this should
not happen" it's appropriate to spit out some debug message in this case.

Ref: http://lensfun.berlios.de/manual/el_lens.html
Ref: http://lensfun.berlios.de/manual/el_camera.html
Related: bug 312764, bug 253941, bug 266204, bug 267613, bug 281783, bug 284708
FIXED-IN: 3.0.0
CCMAIL: roman@khimov.ru

M  +2    -1    libs/dimg/filters/lens/lensfuncameraselector.cpp
M  +1    -1    libs/dimg/filters/lens/lensfuniface.cpp

http://commits.kde.org/digikam/613d004121682d122e9ea7fd9041a7bbc49acb89
Comment 3 Roman I Khimov 2013-01-07 13:04:55 UTC
Patch applied, thanks, closing.